<html>

<head>
<title>{%const:title%} - {%title%}{%const:long%}</title>
{%glo:PageEncoding%}

<script type="text/javascript" language="JavaScript">
<!--
  function OnLoad()
  {
    var txtURL = document.getElementById('txtURL');
    var selTarget = document.getElementById('selTarget');
    var selProtocol = document.getElementById('selProtocol');

    for ( elem in window.dialogArguments )
    {
      switch( elem )
      {

      case "LinkUrl":
        txtURL.value = window.dialogArguments["LinkUrl"];
    	  if (txtURL.value == "") txtURL.value = "http://"
        break;

      case "LinkTarget":
    	  var option = window.dialogArguments["LinkTarget"];
    	  if (option=="_self") selTarget.selectedIndex = 0;
    	  else if (option=="_blank") selTarget.selectedIndex = 1;
        else selTarget.selectedIndex = 0;
        break;

      case "LinkProtocol":
  	  var option = window.dialogArguments["LinkProtocol"];
  	  if (option=="file://") selProtocol.selectedIndex = 1;
  	  else if (option=="ftp://") selProtocol.selectedIndex = 2;
  	  else if (option=="gopher://") selProtocol.selectedIndex = 3;
  	  else if (option=="http://") selProtocol.selectedIndex = 4;
  	  else if (option=="https://") selProtocol.selectedIndex = 5;
  	  else if (option=="mailto:") selProtocol.selectedIndex = 6;
  	  else if (option=="news:") selProtocol.selectedIndex = 7;
  	  else if (option=="telnet:") selProtocol.selectedIndex = 8;
  	  else if (option=="wise:") selProtocol.selectedIndex = 9;
  	  else selProtocol.selectedIndex = 4;

        break;

      }

  	if (selProtocol.value=="") selProtocol.selectedIndex = 4;
    }
  }
// -->
</script>

<script type="text/javascript" language="JavaScript">
<!--
function OkClick() {
  var arr = {};
  arr["LinkProtocol"] = selProtocol.value;
  arr["LinkUrl"] = txtURL.value;
  arr["LinkTarget"] = selTarget.value;
  window.returnValue = arr;
  window.close();
}

function replace()
{
	//txtURL.value = selProtocol.value;
	var a = selProtocol.value;
	var slashes = "";
	if (a=="file:" || a=="http:" || a=="ftp:" || a=="gopher:" || a=="https:") slashes = "//";

	txtURL.value = txtURL.value.replace(/^http:\/\//i, selProtocol.value + slashes);
	txtURL.value = txtURL.value.replace(/^ftp:\/\//i, selProtocol.value + slashes);
	txtURL.value = txtURL.value.replace(/^https:\/\//i, selProtocol.value + slashes);
	txtURL.value = txtURL.value.replace(/^gopher:\/\//i, selProtocol.value + slashes);
	txtURL.value = txtURL.value.replace(/^file:\/\//i, selProtocol.value + slashes);
	txtURL.value = txtURL.value.replace(/^mailto:/i, selProtocol.value + slashes);
	txtURL.value = txtURL.value.replace(/^news:/i, selProtocol.value + slashes);
	txtURL.value = txtURL.value.replace(/^wais:/i, selProtocol.value + slashes);
	txtURL.value = txtURL.value.replace(/^telnet:/i, selProtocol.value + slashes);
 
	var aPROTOCOL = txtURL.value.match(/http:\/\//i);
    if (!aPROTOCOL) aPROTOCOL = txtURL.value.match(/https:\/\//i);
    if (!aPROTOCOL) aPROTOCOL = txtURL.value.match(/ftp:\/\//i);
    if (!aPROTOCOL) aPROTOCOL = txtURL.value.match(/file:\/\//i);
    if (!aPROTOCOL) aPROTOCOL = txtURL.value.match(/telnet:/i);
    if (!aPROTOCOL) aPROTOCOL = txtURL.value.match(/gopher:\/\//i);
    if (!aPROTOCOL) aPROTOCOL = txtURL.value.match(/mailto:/i);
    if (!aPROTOCOL) aPROTOCOL = txtURL.value.match(/wais:/i);
    if (!aPROTOCOL) aPROTOCOL = txtURL.value.match(/news:/i);

	if (!aPROTOCOL) txtURL.value = selProtocol.value + slashes + txtURL.value;

}
// -->
</script>
</head>

<BODY onload="OnLoad();" id=bdy style="FONT-SIZE: 8pt; BACKGROUND: buttonface; COLOR: windowtext; FONT-FAMILY: MS Shell Dlg" scroll=no>

<FIELDSET id=fldLink style="FONT-SIZE: 8pt; LEFT: 0.98em; WIDTH: 25.26em; FONT-FAMILY: MS Shell Dlg; POSITION: absolute; TOP: 0.8em; HEIGHT: 10.5em">
	<LEGEND id=lgdLink>{%langstr:hyperlink_information%} </LEGEND>
</FIELDSET> 

<DIV id=div2 style="FONT-SIZE: 8pt; LEFT: 1.82em; WIDTH: 2.66em; FONT-FAMILY: MS Shell Dlg; POSITION: absolute; TOP: 2.88em; HEIGHT: 1.21em">
	<LABEL id=lblProtocol tabIndex=-1 for=selProtocol helpfile="msoe.hlp" helpid="35550"><U>T</U>ype: </LABEL>
</DIV>

<SELECT id=selProtocol style="FONT-SIZE: 8pt; LEFT: 5.04em; WIDTH: 6.44em; FONT-FAMILY: MS Shell Dlg; POSITION: absolute; TOP: 2.73em; HEIGHT: 2.12em" accessKey=t tabIndex=50 size=1 onChange="replace();">
	<OPTION id=optOther value="">(other)</OPTION>
	<OPTION id=optFile value=file:>file:</OPTION>
	<OPTION id=optFtp value=ftp:>ftp:</OPTION>
	<OPTION id=optGopher value=gopher:>gopher:</OPTION>
	<OPTION id=optHttp value=http:>http:</OPTION>
	<OPTION id=optHttps value=https:>https:</OPTION>
	<OPTION id=optMailto value=mailto:>mailto:</OPTION>
	<OPTION id=optNews value=news:>news:</OPTION>
	<OPTION id=optTelnet value=telnet:>telnet:</OPTION>
	<OPTION id=optWais value=wais:>wais:</OPTION>
</SELECT>

<DIV id=div3 style="FONT-SIZE: 8pt; LEFT: 1.82em; WIDTH: 2.52em; FONT-FAMILY: MS Shell Dlg; POSITION: absolute; TOP: 5.93em; HEIGHT: 1.21em">
	<LABEL id=lblURL tabIndex=-1 for=txtURL helpfile="msoe.hlp" helpid="35550"><U>U</U>RL: </LABEL>
</DIV>

<INPUT id="txtURL" style="FONT-SIZE: 8pt; LEFT: 5.04em; WIDTH: 20.72em; FONT-FAMILY: MS Shell Dlg; POSITION: absolute; TOP: 5.62em; HEIGHT: 2.12em" accessKey=u tabIndex=15 maxLength=1024 size=35  helpfile="msoe.hlp" helpid="35550">

<DIV id=div4 style="FONT-SIZE: 8pt; LEFT: 1.82em; WIDTH: 2.52em; FONT-FAMILY: MS Shell Dlg; POSITION: absolute; TOP: 9em; HEIGHT: 1.21em">
	<LABEL id=lblTarget tabIndex=-1 for=txtURL helpfile="msoe.hlp" helpid="35550">T<U>a</U>rget: </LABEL>
</DIV>

<SELECT id=selTarget style="FONT-SIZE: 8pt; LEFT: 5.04em; WIDTH: 6.44em; FONT-FAMILY: MS Shell Dlg; POSITION: absolute; TOP: 8.75em; HEIGHT: 2.12em" accessKey=a tabIndex=52 size=1>
	<OPTION id=opt_self value="_self">_self</OPTION>
	<OPTION id=opt_blank value="_blank">_blank</OPTION>
</SELECT>

<BUTTON id=btnOK style="FONT-SIZE: 8pt; LEFT: 28em; WIDTH: 7em; FONT-FAMILY: MS Shell Dlg; POSITION: absolute; TOP: 1.52em; HEIGHT: 2.2em" tabIndex=35 type=submit helpfile="windows.hlp" helpid="28443" OnClick="OkClick();">OK</BUTTON>
<BUTTON id=btnCancel style="FONT-SIZE: 8pt; LEFT: 28em; WIDTH: 7em; FONT-FAMILY: MS Shell Dlg; POSITION: absolute; TOP: 4.1em; HEIGHT: 2.2em" tabIndex=40 type=reset helpfile="windows.hlp" helpid="28444" OnClick="window.close();">Cancel</BUTTON> </BODY>

</html>
